Bug 1378864 - DRI3/Present OGL application hang
Summary: DRI3/Present OGL application hang
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libxcb
Version: 7.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1356182 1446211
TreeView+ depends on / blocked
 
Reported: 2016-09-23 12:04 UTC by Qiang Yu
Modified: 2017-08-01 16:00 UTC (History)
5 users (show)

Fixed In Version: libxcb-1.12-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 16:00:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1865 normal SHIPPED_LIVE Moderate: X.org X11 libraries security, bug fix and enhancement update 2017-08-01 17:50:43 UTC

Description Qiang Yu 2016-09-23 12:04:12 UTC
Description of problem:

There are two important fix in libxcb 1.11.1 for DRI3/Present OGL application,
otherwise it will hang in waiting Present IdleNotify.
https://cgit.freedesktop.org/xcb/libxcb/commit/?id=f85661c3bca97faa72431df92a3867be39a74e23
https://cgit.freedesktop.org/xcb/libxcb/commit/?id=5b40681c887192307f3ae147d2158870aa79c05f

Current libxcb on RHEL7.2 & RHEL7.3 beta doesn't have these two fix, please
integrate them for AMDGPU-PRO driver DRI3 usage.

Version-Release number of selected component (if applicable):
1.11-4.el7

Comment 1 Joseph Kachuck 2016-09-23 15:58:17 UTC
Hello AMD,
Please confirm steps to recreate the issue locally.

Please confirm if AMD would be able to do fix verification once Red Hat has test packages?

Thank You
Joe Kachuck

Comment 2 Qiang Yu 2016-09-24 04:06:44 UTC
Hi Joe,

We can do the fix verification.

Thanks,
Qiang

Comment 4 Qiang Yu 2016-09-29 01:36:44 UTC
Hi Chris,

What do you need?

Regards,
Qiang

Comment 7 Joseph Kachuck 2017-02-06 17:01:07 UTC
Hello,
This should be fixed in libxcb-1.12-1.el7 and above.

Thank You
Joe Kachuck

Comment 11 Joseph Kachuck 2017-06-05 13:53:33 UTC
Hello Qiang,
Please test the with the beta release or above and confirm if this issue is corrected?

Thank You
Joe Kachuck

Comment 12 Qiang Yu 2017-06-07 01:53:52 UTC
Hi Joe,

I've verified this problem is fixed in the latest RHEL 7.4 beta release.

Thanks,
Qiang

Comment 13 errata-xmlrpc 2017-08-01 16:00:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1865


Note You need to log in before you can comment on or make changes to this bug.